alter procedure [dbo].[pHR_SlryCalcGrossGE]
  @cKljuc               Char(13),
  @cODVecDelMest        Char(1),
  @cObdobje             Char(7),
  @cDelavec             Char(30),
  @nVrednostIndeks      Decimal(19, 8),
  @nODPovpODFa1         Money,
  @nODPovpODFa2         Money,
  @nODPovpODFa3         Money,
  @nODPovpODFa4         Money,
  @nODPovpODFa5         Money,
  @nODPovpODFa6         Money,
  @nODPovpODFa7         Money,
  @nODPovpODFa8         Money,
  @nODPovpODFa9         Money,
  @nODPovpODFa10        Money,
  @nODPovpODFa11        Money,
  @nODPovpODFa12        Money,
  @nODPovpODFa13        Money,
  @nODPovpODFa14        Money,
  @nODPovpODFa15        Money,
  @iDMID                int,
  @cOdDelDelMesto       Char(30),
  @nRoundOd             Decimal(9,4),
  @nDayAllowNo          Float,
  @dDatumIzplacila      DateTime,
  @dDateCalcLOS         DateTime,
  @cFormulaZaBruto      VarChar(1024),

  @nOdDelDel29          Money  output

as

set nocount on

declare
  @cMsg  VarChar(800)
set @cMsg = 'Preraun bruto GE.'
exec pHR_SlryCalcLogAdd @cMsg

declare
  @nOdDelDel07        Money,
  @nOdDelDel20        Money,
  @lFakN              Bit,
  @nZ070              Money,
  @nZ105              Money,
  @nZ106              Money,
  @nZ107              Money,
  @nZ108              Money,
  @nZ113              Money,
  @nZ114              Money,
  @nZ115              Money,
  @nZ116              Money,
  @nZ117              Money,
  @nZ118              Money,
  @nZ119              Money,
  @nZ124              Money,
  @cIsDirector        Char(1),
  @nOdRazredFaktor    Decimal(19, 8),
  @cRazred            Char(6),
  @nNewDel29          Money

set @nZ105 = 0
set @nZ106 = 0
set @nZ107 = 0
set @nZ108 = 0
set @nZ113 = 0
set @nZ114 = 0
set @nZ115 = 0
set @nZ116 = 0
set @nZ117 = 0
set @nZ118 = 0
set @nZ119 = 0
set @nZ124 = 0

set @nZ070 = @nOdDelDel29

select
  @cIsDirector = acIsDirector
from vHR_Job
where acName = @cOdDelDelMesto

if @cIsDirector = 'T' -- je direktor @nZ114, @nZ115
begin
  set @nOdDelDel07 = 0
  select @nOdDelDel07 = anWrk07
  from #TODObrDel
  where anjobID = @iDMID

  set @nZ115 = @nZ070 * @nOdDelDel07 / 100
  exec pHR_RoundFin @nZ115, @nRoundOd, @nZ115 output

  set @nZ114 = @nZ070 - @nZ115
end
else -- ni direktor @nZ105, @nZ106, @nZ107, @nZ108, @nZ113
begin
  select
    @nZ105 = anZ105,
    @nZ106 = anZ106
  from tHR_Prsnjob
  where acWorker = @cDelavec and anID = @iDMID

  if @nZ106 > 0 begin
    if @nZ070 > @nZ106
      set @nZ107 = @nZ070 - @nZ106
    else
      set @nZ107 = 0
  end
  if @nZ106 <= 0
    set @nZ107 = @nZ070 - @nZ105
  if @nZ107 < 0
    set @nZ107 = 0

  if @dDatumIzplacila >= '2009/01/01'
    set @nZ113 = @nZ107 * 0.50 -- 0.50 je Faktor za odpravo nesorazmerij po 1.1.2009
  else
    set @nZ113 = @nZ107 * 0.75 -- 0.75 je Faktor za odpravo nesorazmerij

  set @nZ108 = @nZ070 - @nZ113
end

set @cRazred = ''
select @cRazred = acIGroupGE
from tHR_Prsnjob
where acWorker = @cDelavec and anId = @iDMID

if IsNull(@cRazred, '') <> '' -- sprememba razreda @nZ116, @nZ117, @nZ118, @nZ119
begin
  Set @nOdRazredFaktor = dbo.fHR_GetSlryIGFactor(@cRazred, @cObdobje)

  exec pHR_SlryCalcByFormula 'T', @cODVecDelMest, @cObdobje,
                             @cDelavec, @cFormulaZaBruto,
                             'A', '', @iDMID, 0, 0,
                             0, 0, 0, 0,
                             0, @nVrednostIndeks, 0, 0, 0,
                             @nOdRazredFaktor,
                             @nODPovpODFa1, @nODPovpODFa2, @nODPovpODFa3, @nODPovpODFa4, @nODPovpODFa5,
                             @nODPovpODFa6, @nODPovpODFa7, @nODPovpODFa8, @nODPovpODFa9, @nODPovpODFa10,
                             @nODPovpODFa11, @nODPovpODFa12, @nODPovpODFa13, @nODPovpODFa14, @nODPovpODFa15,
                             null, '', '', '', 1, @nDayAllowNo, @dDatumIzplacila,
                             @dDateCalcLOS,
                             @nNewDel29 output, @nOdDelDel20 output, @lFakN output

  exec pHR_RoundFin @nNewDel29, @nRoundOd, @nNewDel29 output

  if @nNewDel29 < @nOdDelDel29 -- e je zmanjanje tarifnega razreda
  begin
    set @nZ117 = @nOdDelDel29 - @nNewDel29
    set @nZ116 = @nZ108 + @nZ114 - @nZ117
  end

  if @nNewDel29 > @nOdDelDel29 -- e je poveanje tarifnega razreda
  begin
    set @nZ119 = @nNewDel29 - @nOdDelDel29
    set @nZ118 = @nZ108 + @nZ114 + @nZ119
  end

  if @nZ116 > 0 or @nZ118 > 0
  begin
    set @nZ108 = 0
    set @nZ113 = 0
    set @nZ114 = 0
    set @nZ115 = 0
  end
end

set @nOdDelDel29 = @nZ108 + @nZ114 + @nZ116 + @nZ118 -- samo eden od teh je razilen od 0

select @nZ124 = sum(D.anZ120)
from tHR_SlryCalcJob D
join tHR_SlryPrep O on D.acKey = O.acKey
where D.acWorker = @cDelavec
  and substring(D.acKey, 3, 4) = substring(@cKljuc, 3, 4)
  and dbo.fHR_ConvertPeriod(O.acPeriod) = dbo.fHR_ConvertPeriod(@cObdobje)-1
  and (@cODVecDelMest <> 'T' or D.anjobID = @iDMID)

set @nZ124 = IsNull(@nZ124, 0)

if @nZ124 = 0
  set @nZ124 = @nOdDelDel29

update #TODObrDel set
  anZ105 = @nZ105,
  anZ106 = @nZ106,
  anZ107 = @nZ107,
  anZ108 = @nZ108,
  anZ113 = @nZ113,
  anZ114 = @nZ114,
  anZ115 = @nZ115,
  anZ116 = @nZ116,
  anZ117 = @nZ117,
  anZ118 = @nZ118,
  anZ119 = @nZ119,
  anZ120 = @nOdDelDel29,
  anZ124 = @nZ124,
  anZ070 = @nZ070
where anjobID = @iDMID

set @cMsg = 'Preraun bruto GE. Konec. anjobID='+LTrim(Str(@iDMID, 19, 0))+', anWrk29='+LTrim(Str(@nOdDelDel29, 19, 4))+', anZ070='+LTrim(Str(@nZ070, 19, 4))+', anZ115='+LTrim(Str(@nZ115, 19, 4))
exec pHR_SlryCalcLogAdd @cMsg